Get Inventory Feed status
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/feeds/{feedId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/feeds/{feedId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/feeds/{feedId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"feedId": "<string>",
"feedKey": "<string>",
"inventorySourceId": "<string>",
"inventorySourceModuleId": "<string>",
"canonicalProfile": {
"profileId": "<string>",
"profileVersion": "<string>",
"transport": "HITL"
},
"registrationTransport": "HITL",
"registeredCapabilities": [
{
"profileId": "<string>",
"profileVersion": "<string>",
"transport": "HITL"
}
],
"deliverySemantics": "FULL_REPLACEMENT",
"head": {
"revisionId": "<string>",
"transport": "HITL",
"freshnessDeadlineAt": "2023-11-07T05:31:56Z"
},
"syncHealth": "HEALTHY",
"latestAttempt": {
"revisionId": "<string>",
"commitStatus": "PREVIEW",
"validationStatus": "VALID",
"factCount": 4503599627370495,
"transport": "HITL",
"contentDigest": "<string>",
"diagnosticCount": 4503599627370495,
"diagnosticCodes": [
"<string>"
],
"committedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Storefront
Get Inventory Feed status
Read canonical identity, registered profile capabilities, active revision transport, sync health, and safe latest-attempt counts, digests, statuses, and diagnostic codes.
GET
/
inventory-sources
/
{sourceId}
/
feeds
/
{feedId}
Get Inventory Feed status
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/feeds/{feedId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/feeds/{feedId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/feeds/{feedId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"feedId": "<string>",
"feedKey": "<string>",
"inventorySourceId": "<string>",
"inventorySourceModuleId": "<string>",
"canonicalProfile": {
"profileId": "<string>",
"profileVersion": "<string>",
"transport": "HITL"
},
"registrationTransport": "HITL",
"registeredCapabilities": [
{
"profileId": "<string>",
"profileVersion": "<string>",
"transport": "HITL"
}
],
"deliverySemantics": "FULL_REPLACEMENT",
"head": {
"revisionId": "<string>",
"transport": "HITL",
"freshnessDeadlineAt": "2023-11-07T05:31:56Z"
},
"syncHealth": "HEALTHY",
"latestAttempt": {
"revisionId": "<string>",
"commitStatus": "PREVIEW",
"validationStatus": "VALID",
"factCount": 4503599627370495,
"transport": "HITL",
"contentDigest": "<string>",
"diagnosticCount": 4503599627370495,
"diagnosticCodes": [
"<string>"
],
"committedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Inventory source ID
Minimum string length:
1Canonical feed identifier
Minimum string length:
1Response
Get Inventory Feed status
Current control-plane state for one Inventory Feed: active head revision, sync health, freshness deadline, and latest attempt diagnostics.
Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Show child attributes
Show child attributes
Available options:
HITL, API_PUSH, BESPOKE_PULL Show child attributes
Show child attributes
Available options:
FULL_REPLACEMENT, PATCH_UPSERT Show child attributes
Show child attributes
Available options:
HEALTHY, DEGRADED, UNHEALTHY Show child attributes
Show child attributes